Name:           spec-version-maven-plugin
Version:        2.1
Release:        %mkrel 1
Group:          Development/Java
Summary:        Spec Version Maven Plugin
License:        EPL-2.0 or GPLv2 with exceptions

URL:            https://projects.eclipse.org/projects/ee4j.glassfish
Source0:        https://github.com/eclipse-ee4j/glassfish-%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

%description
Maven Plugin to configure APIs version and specs in a MANIFEST.MF file.

%javadoc_package

%prep
%autosetup -n glassfish-%{name}-%{version}

sed -i "s|mvn|mvn-rpmbuild|" src/main/resources/checkVersion.sh

# remove spurious executable bits
find -O3 . -type f -perm /0111 -exec chmod a-x {} +
chmod a+x src/main/resources/checkVersion.sh

# remove unnecessary dependency on parent POM
%pom_remove_parent

# remove unnecessary maven plugins
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-checkstyle-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.md NOTICE.md
%doc README.md



%changelog
* Mon Dec 12 2022 daviddavid <daviddavid> 2.1-1.mga9
+ Revision: 1920849
- Version 2.1
- New URLs
- License change to EPL-2.0 or GPLv2 with exceptions

* Sat Mar 26 2022 umeabot <umeabot> 1.5-2.mga9
+ Revision: 1827563
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 1.5-1.mga8
+ Revision: 1621823
- Update to version 1.5
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1.2-11.mga8
+ Revision: 1500160
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2-10.mga7
+ Revision: 1275505
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.2-8.mga6
+ Revision: 978156
- First rebuild of the java stack
- sync package spec-version-maven-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-6.mga5
+ Revision: 745691
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1.2-3.mga4
+ Revision: 489388
- imported package spec-version-maven-plugin


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 02 2013 gil cattaneo <puntogil@libero.it> 1.2-2
- build with XMvn
- minor changes to adapt to current guideline

* Wed May 22 2013 gil cattaneo <puntogil@libero.it> 1.2-1
- initial rpm
